Skip to main content
GET
Check Transaction Status

Headers

x-client-id
string
required

Client ID provided by Cashfree.

Example:

"your_client_id"

x-client-secret
string
required

Client secret key provided by Cashfree.

Example:

"your_client_secret"

Content-Type
string
required

The content type for the request should be application/json.

Example:

"application/json"

Path Parameters

bbps_transaction_id
string
required

Unique identifier for the transaction (BBPS transaction ID).

Example:

"test40624"

Response

200

bbps_transaction_id
string

Unique BBPS transaction ID for the request.

bill_payment_status
enum<string>

Current status of the transaction (e.g. SUCCESS, PENDING, FAILED).

Available options:
SUCCESS,
PENDING,
FAILED
settlement_status
string

Status of the settlement (SETTLED or null).

settlement_utr
string

Unique transaction reference number of the settlement.

settlement_amount
integer

Amount of the settlement.

settlement_time
string<date-time>

Time of the settlement.